/*
 * Copyright (C) 2019 Robert Bosch GmbH Copyright (C) 2019 Robert Bosch Manufacturing Solutions GmbH, Germany. All rights reserved.
 */

import { ComponentFixture, TestBed, waitForAsync } from '@angular/core/testing';
import { MAT_DIALOG_DATA, MatDialogModule, MatDialogRef } from '@angular/material/dialog';
import { MatProgressBarModule } from '@angular/material/progress-bar';
import { of } from 'rxjs';
import { ModalComponent } from '../../../../core/modal-window/modal.component';
import { BciSharedIntl } from '../../../shared-intl';
import { OptionsmenuDialogComponent } from './optionsmenu-dialog.component';

describe('OptionsmenuDialogComponent', () => {
  let component: OptionsmenuDialogComponent;
  let fixture: ComponentFixture<OptionsmenuDialogComponent>;

  beforeEach(
    waitForAsync(() => {
      TestBed.configureTestingModule({
        imports: [MatDialogModule, MatProgressBarModule],
        declarations: [ModalComponent, OptionsmenuDialogComponent],
        providers: [
          BciSharedIntl,
          { provide: MAT_DIALOG_DATA, useValue: {} },
          {
            provide: MatDialogRef,
            useValue: {
              _containerInstance: {
                _config: {},
              },
              backdropClick: () => of(''),
              // eslint-disable-next-line no-empty-function
              close: () => {},
            },
          },
        ],
      }).compileComponents();
    })
  );

  beforeEach(() => {
    fixture = TestBed.createComponent(OptionsmenuDialogComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should be created', () => {
    expect(component).toBeTruthy();
  });
});
